package com.adealink.weparty.module.profile.viewmodel

import androidx.lifecycle.LiveData
import com.adealink.frame.base.Rlt
import com.adealink.frame.mvvm.livedata.ExtLiveData
import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.weparty.module.profile.data.FollowStatus
import com.adealink.weparty.module.profile.data.UserInfo

interface IFollowViewModel {

    val isFollowLD: ExtLiveData<Map<String, FollowStatus>>

    fun isFollow(uid: String): LiveData<Rlt<FollowStatus>>

    fun isFollow(uids: List<String>): LiveData<Rlt<Map<String, FollowStatus>>>

    fun follow(uid: String): LiveData<Rlt<Any>>

    fun unFollow(uid: String): LiveData<Rlt<Any>>
}